#include <iostream>
#include <stdio.h>
using namespace std;
bool mat[10000][1000];
int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    for(int i=0;i<n;i++)
    {
        int help;
        scanf("%d",&help);
        if(help>m/2)
        {
            for(int j=m-1;j>help-1;j--)
            {
                mat[i][j]=true;
            }
        }
        else
        {
            for(int j=0;j<help;j++)
            {
                mat[i][j]=true;
            }
        }
    }
    int suma=0;
    for(int j=0;j<m;j++)
    {
        int brojac1=0,brojac2=brojac1;
        for(int i=0;i<n;i++)
        {
            if(mat[i][j])
                brojac1++;
            else brojac2++;
        }
        suma+=brojac1*brojac2;
    }
    printf("%d",suma);
    return 0;
}